// Copyright Notice etc. in readme File.
// For further details check http://www.knixuino.com

// Writes a simple on/off command to a GroupAddress.
// Change Group Address in the 2nd line to a light nearby 
// and switch on and off by
// entering 0 and 1 into your serial monitor.


#include <elapsedMillis.h>
#include "KNXConnection_SIMKNX_raw.h";

uint16_t ga = gaToInt(1,2,1);

KNXConnection_SIMKNX_raw* knx = new KNXConnection_SIMKNX_raw();  

void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! Switch on and off by entering 0 and 1 ...");
}

void loop() {
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == '0') knx->write(ga, 0, 1);
  if (ch == '1') knx->write(ga, 1, 1);
} // end keyboardInput


