// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!


#ifndef KNXConnection_SIMKNX_raw_h
#define KNXConnection_SIMKNX_raw_h

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif
#include "KNXConnection.h"
#include <elapsedMillis.h>
#define KNXStreamBUFFER 64

class KNXConnection_SIMKNX_raw :public KNXConnection
{
	public:
		KNXConnection_SIMKNX_raw();
		virtual void write(uint16_t ga, uint8_t data, uint8_t bits); 
		void doIt() { readSerial(); }
	
	private:
	// --- variables
		HardwareSerial *KNXSerialStream;
		char incomingByte;         
		char buffer[KNXStreamBUFFER];   
		int  bufPos;                      
		char term;                       
		char *last;      

	// --- methods
		void incoming();
		void readSerial();   
		void clearBuffer(); 
		
		char* getBuffer(){return buffer;}
};
#endif 