// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!



#ifndef KNXObjectDefinitions_h
#define KNXObjectDefinitions_h

#include "KNXBasicObjectTypes.h"
#include "KNXPresenceSimulation.h";

KNXConnection_SIMKNX_raw* knx = new KNXConnection_SIMKNX_raw();  



// --- Beleuchtung ---

KNXBit* eg_buero = new KNXBit(2561, 2562);
KNXBit* eg_wz_couch = new KNXBit(gaToInt(1,2,5), gaToInt(1,2,6));
KNXBit* eg_wz_wand = new KNXBit(gaToInt(1,2,10), gaToInt(1,2,11));
KNXBit* eg_wz_tv = new KNXBit(gaToInt(1,2,15), gaToInt(1,2,16));
KNXBit* eg_kue_insel = new KNXBit(gaToInt(1,2,20), gaToInt(1,2,21));
KNXByte* eg_kue_insel_dim = new KNXByte(gaToInt(1,2,23));
KNXBit* eg_kue_spots = new KNXBit(gaToInt(1,2,25), gaToInt(1,2,26));
//KNXByte* eg_kue_spots_dim = new KNXByte(gaToInt(1,2,28));
KNXBit* eg_kue_wand = new KNXBit(gaToInt(1,2,30), gaToInt(1,2,31));
KNXBit* eg_ez_tisch = new KNXBit(gaToInt(1,2,35), gaToInt(1,2,36));
KNXBit* eg_ez_spots = new KNXBit(gaToInt(1,2,40), gaToInt(1,2,41));
//KNXByte* eg_ez_spots_dim = new KNXByte(gaToInt(1,2,43));
KNXBit* eg_terrasse = new KNXBit(gaToInt(1,2,45), gaToInt(1,2,46));
KNXBit* eg_wc = new KNXBit(gaToInt(1,2,50), gaToInt(1,2,51));
//KNXByte* eg_wc_dim = new KNXByte(gaToInt(1,2,52));
KNXBit* eg_bad = new KNXBit(gaToInt(1,2,55), gaToInt(1,2,56));
KNXBit* eg_sz_decke = new KNXBit(gaToInt(1,2,60), gaToInt(1,2,61));
KNXBit* eg_sz_links = new KNXBit(gaToInt(1,2,65), gaToInt(1,2,66));
KNXBit* eg_sz_rechts = new KNXBit(gaToInt(1,2,71), gaToInt(1,2,72));
KNXBit* eg_sz_schrank = new KNXBit(gaToInt(1,2,75), gaToInt(1,2,76));

KNXBit* eg_diele = new KNXBit(gaToInt(1,2,80), gaToInt(1,2,81));
KNXByte* eg_diele_dim = new KNXByte(gaToInt(1,2,82), gaToInt(1,2,84));
KNXBit* eg_aquarium = new KNXBit(gaToInt(1,2,85), gaToInt(1,2,86));







KNXPresenceSimulation* presenceSim = new KNXPresenceSimulation();



void objectSettings() {
	/*presenceSim->addObject(new KNXPresenceSimulationObj(eg_buero, 15, 60*30, 30, 60*60));
	presenceSim->addObject(new KNXPresenceSimulationObj(eg_aquarium, 60*15, 60*60, 20, 60*5));
	presenceSim->addObject(new KNXPresenceSimulationObj(eg_wc, 40, 180, 60*20, 60*60));
	presenceSim->addObject(new KNXPresenceSimulationObj(eg_diele, 15, 60*30, 30, 60*60));
	// presenceSim->addObject(new KNXPresenceSimulationObj(eg_kue_wand, 15, 60*30, 30, 60*60));

*/
	eg_buero->setWebBits(true);
	eg_diele->setWebBits(true);
	eg_diele_dim->setWebBits(true);



}

#endif //KNXObjectDefinitions_h